{
  pkgs,
  config,
  ...
}: {
  imports = [
    ./bat.nix
    ./bottom.nix
    ./exa.nix
    ./firefox.nix
    ./fzf.nix
    ./gpg.nix
    ./git.nix
    ./go.nix
    ./gtk.nix
    ./helix.nix
    ./jq.nix
    ./lazygit.nix
    ./nushell.nix
    ./oh-my-posh.nix
    ./spotifyd.nix
    ./ssh.nix
    ./tiny.nix
    ./wezterm.nix
    ./xdg.nix
    ./zoxide.nix
  ];
  home = {
    packages = with pkgs; [
      # Tools
      age
      bitwarden-cli
      delve
      discord
      duf
      du-dust
      fd
      just
      obsidian
      spotify-tui
      ripgrep
      usql

      # LSPs
      gopls
      lua-language-server
      marksman
      nil
      nodePackages.yaml-language-server

      # Formatters
      alejandra
      black
      gofumpt
      nodePackages.lua-fmt

      # IDEs
      jetbrains.goland

      # Personal NUR
      nur.repos.jolheiser.git-age
      nur.repos.jolheiser.gomodinit
      nur.repos.jolheiser.imp
      nur.repos.jolheiser.kv
      nur.repos.jolheiser.tclip
      nur.repos.jolheiser.tmpl
    ];
    activation.report-changes = config.lib.dag.entryAnywhere ''
      ${pkgs.nvd}/bin/nvd --nix-bin-dir=${pkgs.nix}/bin diff $oldGenPath $newGenPath
    '';
    stateVersion = "22.11";
  };

  programs = {home-manager.enable = true;};
}
